Remove Certificate Authority
post
/management/weblogic/{version}/domainRuntime/certificateManagementRuntime/removeCertificateAuthority
Removes a selected Certificate Authority from an Admin Server source trust store.
The sourceStore value must be domain-trust or provisioned-trust. After a durable source deletion, this operation refreshes server and machine trust replicas. A refresh failure is reported after both refresh paths have been attempted; the source deletion is not rolled back.
Request
Supported Media Types
- application/json
Path Parameters
-
version(required): string
The version of the WebLogic REST interface.
Header Parameters
-
X-Requested-By(required): string
The 'X-Requested-By' header is used to protect against Cross-Site Request Forgery (CSRF) attacks. The value is an arbitrary name such as 'MyClient'.
Must contain the following fields:
Root Schema : Arguments
Type:
objectTitle:
Show Source
Arguments-
alias:
string
the Certificate Authority alias; aliases are case-insensitive
-
sourceStore:
string
the source trust store:
domain-trustorprovisioned-trust
Security
-
Admin: basic
Type:
basicDescription:A user in the Admin security role.
Response
200 Response
Returns the following fields: